import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:marking_app/utils/my_text.dart';

// 输入型键盘指导页
class InputKeyboardGuidePage extends StatelessWidget {
  final GestureTapCallback closeCall;
  const InputKeyboardGuidePage({required this.closeCall,Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: double.infinity,
      width: double.infinity,
      color: const Color.fromRGBO(0, 0, 0, 0.65),
      alignment: Alignment.centerRight,
      child: Container(
        padding: EdgeInsets.only(right: 8.w),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            SizedBox(height:20.h),
            quickText('向下或者向上滑动可关闭键盘', size: 16.sp, color: Colors.white),
            SizedBox(height: 30.h),
            Image.asset(
              "assets/images/guide_page_gesture.png",
              height: 60.w,
              width: 60.w,
              fit: BoxFit.fitHeight,
            ),
            SizedBox(height: 20.h),
            SizedBox(
              height: 40.h,
              width: 50.w,
              child: FloatingActionButton.extended(
                onPressed: closeCall,
                backgroundColor: const Color.fromARGB(51, 29, 29, 29),
                splashColor: Theme.of(context).primaryColor,
                label: quickText("我知道啦", color: Colors.white,size: 17.sp),
              ),
            )
          ],
        ),
      ),
    );
  }
}
